OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Error installing Version 2.4.1

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
What to do if you have a technical problem with OJS:

1. Search the forum. You can do this from the Advanced Search Page or from our Google Custom Search, which will search the entire PKP site. If you are encountering an error, we especially recommend searching the forum for said error.

2. Check the FAQ to see if your question or error has already been resolved.

3. Post a question, but please, only after trying the above two solutions. If it's a workflow or usability question you should probably post to the OJS Editorial Support and Discussion subforum; if you have a development question, try the OJS Development subforum.

Error installing Version 2.4.1

Postby pbianchi » Tue Nov 13, 2012 4:27 am

Hi, after filling all the information in the install page and submit it, i get the following error:

Fatal error: Call to a member function getCurrent() on a non-object in /lib/pkp/classes/site/VersionDAO.inc.php on line 143

Does someone knows how to fix it ? am i missing something ?

Thanks,

Pablo
pbianchi
 
Posts: 3
Joined: Tue Nov 13, 2012 4:21 am

Re: Error installing Version 2.4.1

Postby JasonNugent » Tue Nov 13, 2012 11:14 am

Hi Pablo,

I have tried to duplicate your error by doing a fresh installation of OJS 2.4.1 here on my own machine, using the downloaded package from the OJS website. Unfortunately, I can't duplicate the problem. The insertVersion method is only used in a few places. Can you look in your logs and see if anything shows up just prior to that fatal error? A warning perhaps? Anything about malformed XML? The plugins have their versions installed via code that parses XML.

Regards,
Jason
JasonNugent
Site Admin
 
Posts: 895
Joined: Tue Jan 10, 2006 6:20 am

Re: Error installing Version 2.4.1

Postby pbianchi » Tue Nov 13, 2012 12:15 pm

Hi, thanks for the answer, apparently it was my mistake, i was using the files that a partner upload to the ftp, reading your post i got the idea of downloading again the .tar file and locally it works fine, now i am uploading all the files again, i will post later the results.

Thanks.

Pablo
pbianchi
 
Posts: 3
Joined: Tue Nov 13, 2012 4:21 am

Re: Error installing Version 2.4.1

Postby pbianchi » Tue Nov 13, 2012 3:40 pm

it was my mistake, i upload again all the files and the install works great.

Sorry for the waste of time.

Thanks,

Pablo
pbianchi
 
Posts: 3
Joined: Tue Nov 13, 2012 4:21 am


Return to OJS Technical Support

Who is online

Users browsing this forum: Yahoo [Bot] and 5 guests